package it.unibo.cs.lbedogni.contentprovider;

import android.app.Activity;
import android.database.Cursor;
import android.os.Bundle;
import android.provider.ContactsContract;
import android.view.ViewGroup.LayoutParams;
import android.widget.LinearLayout;
import android.widget.TextView;

public class ContentProviderActivity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        LinearLayout ll = (LinearLayout)findViewById(R.id.mainLL);
        
        Cursor cursor = getContentResolver().
        		query(ContactsContract.Contacts.
        				CONTENT_URI, null, null, null, null); 
        while (cursor.moveToNext()) {
        	
           String contactName = cursor.getString(cursor.getColumnIndex( 
        		   ContactsContract.Contacts.DISPLAY_NAME));
           String contactId = cursor.getString(cursor.getColumnIndex( 
        		   ContactsContract.Contacts._ID));
        
           String emailAddress = "";
           Cursor emails = getContentResolver().query(ContactsContract.CommonDataKinds.Email.CONTENT_URI, null, ContactsContract.CommonDataKinds.Email.CONTACT_ID + " = " + contactId, null, null); 
           while (emails.moveToNext()) { 
        	   emailAddress += emails.getString( 
        			   emails.getColumnIndex(ContactsContract.CommonDataKinds.Email.DATA)) + "   "; 
           } 
           TextView tv = new TextView(this);
           LayoutParams lp = new LayoutParams(LayoutParams.FILL_PARENT, LayoutParams.WRAP_CONTENT);
           tv.setLayoutParams(lp);
           
           tv.setText(contactName + " - " + emailAddress);
           
           ll.addView(tv);
           
           emails.close(); 
        }
        cursor.close();
    }
}